#ifndef _AFFICHAGE_H
#define _AFFICHAGE_H

#include <types.h>
#include <stdio.h>

#include <MlvProcC.h>
#include <MlvTypeC.h>

#include <curses.h>

#define MLV_LARG 600
#define MLV_HAUT 615

#define POLICE "-misc-*-*-*-*-*-*-*-*-*-*-*-*-*"

#define MAGENTA 1
#define ROUGE 2
#define VERT 3
#define BLANC 4

#define MIN(a,b) ((a)<(b))?(a):(b)

#define affiche_case(x,y,c) attron(COLOR_PAIR((c))); mvprintw((y),(x)," "); \
    mvprintw((y),(x+1)," "); attroff(COLOR_PAIR((c)));

/* Affiche en fonction du mode d'affichage choisit  l'initialisation du 
 * programme.
 * struct_aff est un pointeur sur une structure servant  l'affichage
 * par une bibliothque quelconque
 */
void affichage(Damier * dam, Affichage aff, void * structaff);

/* Affiche sur fond vert, les anneaux du ver en rouge, la tte en magenta.
 * Les proies sont des carrs blancs.
 */
void affichage_txt(Damier * dam);

/* Affichage  l'aide de la bibliothque MLV.
 * La taille des cases du damier est calcule en fonction du nombre de cases
 *  afficher. Ceci permet d'avoir une fentre toujours de mme taille, si tel
 * n'tait pas le cas ( si on utilisait une taille de case fixe ), la
 * bibliothque MLV refuserait d'afficher des damiers trop grands car la
 * fentre serait trop grande
 */
void affichage_mlv(Damier * dam, MlvType * screen);

/* Affiche gameover au centre du terminal */
void gameover_txt(void);

/* Affiche gameover au centre de la fentre avec MlvLib */
void gameover_mlv(MlvType * screen);

/* Affiche gameover au centre de l'cran de jeu et attend que l'utilisateur
 * appuie sur une touche
 */
void gameover(Affichage aff, void * str_aff);

#endif /* _AFFICHAGE_H */
