#ifndef _MOTEUR_H
#define _MOTEUR_H

#include <types.h>
#include <affichage.h>

#include <string.h>
#include <unistd.h>

#include <curses.h>

/* Retourne un Point contenant la prochaine position de la tte du ver
 * en fonction de sa direction actuelle
 */
Point prochaine_pos(Ver * ver);

/* Modifie la direction du ver si une touche flche est presse. 
 * Si la touche presse est q, la fonction retourne FAUX pour permettre de 
 * quitter le jeu.
 */
bool direction(Ver * ver);

/* Met  jour le ver en dplacant la queue ( le ver avance )
 * ppos contenir la prochaine position du ver
 */
void deplace(Ver * ver, Point * ppos);

/* Met  jour le ver sans dplacer la queue ( effet d'allongement du ver )
 * ppos doit contenir la prochaine position du ver
 */
void deplace_mange(Ver * ver, Point * ppos);

/* Retourne vrai ou faux selon que le ver va manger ou non une proie
 * et fait disparaitre la proie du damier s'il l'a mange
 * *p contiendra la prochaine position du ver
 */
bool mange(Ver * ver, Damier * dam, Point * p);

/* Dtecte si le jeu est termin, c'est  dire si le ver "se mord", s'il 
 * dpasse du plateau de jeu ou s'il n'y a plus de proies.
 */
bool findejeu(Ver * ver, Damier * dam);

/* Met  jour le plateau de jeu avec les nouvelles positions du ver */
void maj(Ver * ver, Damier * dam);

/* Boucle d'xcution du programme 
 * affiche, dplace le ver, mange les proies, etc 
 */
void nibbler(Damier * dam, Ver * ver, Affichage aff, void * straff);

#endif /* _MOTEUR_H */
