#ifndef _TYPES_H
#define _TYPES_H

/* Boolen */
typedef enum { FAUX = 0, VRAI = 1 } bool;

/* Type de case du damier */
typedef enum { VIDE, PROIE, ANNEAU, TETE } Case;

/* Sens de dplacement du ver */
typedef enum { Nord, Sud, Ouest, Est, Pause } Sens;

/* Type d'affichage */
typedef enum { TXT, MLV } Affichage;

/* Coordonnes bidimensionnelles */
typedef struct _point {
    int x,y;
} Point;

/* Damier */
typedef struct _dam {
    /* Tableau reprsentant le damier */
    Case **tab;
    /* Taille du damier */
    int lignes, colonnes;
    /* Nombre de proies sur le damier */
    int nbproies;
} Damier;

/* Ver */
typedef struct _ver {
    /* File des coordonnes du ver */
    Point *pos;
    /* Sens de dplcement actuel */
    Sens sens;
    /* Position de la tte et de la queue dans la file */
    int tete, queue;
    /* Longueur du ver */
    int taille_ver;
    /* Longueur de la file */
    int taille_file;
} Ver;

#endif /* _TYPES_H */
