/******************************************************************************/
/* MlvX.h contains constant and type definitions to be used by all the C      */
/* subroutines.                                                               */
/******************************************************************************/
#ifndef MLVX_H
#define MLVX_H

#include  <X11/X.h>
#include  <X11/Xlib.h>
#include  <X11/Xutil.h>
#include  <X11/Xos.h>
#include  <X11/Xatom.h>

/******************************************************************************/
/* Constants definitions                                                      */
/******************************************************************************/
#define             BORDERWIDTH  (unsigned int)5
#define             MAXLINES     (768  - BORDERWIDTH)
#define             MAXPIXELS    (1024 - BORDERWIDTH)

#define             BLACK        0
#define             black        BLACK   /* pour compatibilite v3 */
#define             WHITE        1
#define             white        WHITE

#define             MAX_CURSOR   152

/******************************************************************************/
/* Type definitions                                                           */
/******************************************************************************/
typedef struct {
   Display          *display;          /* display structure pointer */
   int              screen;            /* screen ID */
   Window           window;            /* window structure (pointer) */
   int              width;             /* window width */
   int              height;            /* window height */
   int              displayCount;      /* number of display already performed */
   GC               gc;                /* graphic context */
   Pixmap           pixmap;            /* pixmap on which figures are drawn */
} MlvStruct;                           /* Global structure of X variables */

#endif /* MLVX_H */
